MongoEMF 0.4.0 Released

I have released MongoEMF 0.4.0.  Some of the notable changes include:

  • Reading objects from a query Result has been significantly improved
  • Write performance for bulk stores has improved
  • Added MongoResourceImpl for improved load performance when using URI mappings
  • Added OPTION_USE_ID_ATTRIBUTE_AS_PRIMARY_KEY to store objects using the ID attribute value as the MongoDB primary key

For a complete list of the changes, see the Release Notes.

About these ads

16 thoughts on “MongoEMF 0.4.0 Released

    • Yes, it’s possible to run without OSGi. I don’t recommend it, but it can be done with a bit of hackery to pass in an instance of IMongoDB to MongoDBUriHandlerImpl.

  1. Extracting the EObject/DBObject conversion methods (like MongoDBOutputStream.buildDObject()) into a separate API would be very useful. This way I could add some information, or transform the DBObject a bit before it is persisted. You could add extension points where we could provide some of that code and you could call it, but I think in general it would be nice to have a separate library that can convert. This would allow my current application to handle the persistence in its own way.

    An additional extension point that would be nice would be to allow us to provide some custom data type converters. java.util.Calendar, and java.util.GregorianCalendar, for example.

  2. Hi Bryan,

    I am trying to use the MongoEMF and run the ‘example’ project provided. Sadly, it is giving me an Exception when executing (“this(Activator.getInstance().getMongoDB(), Activator.getInstance().getQueryEngine()); in MongoURIHandlerImpl.java

    I have MongoDB running and tested it through a regular Java Project (no EMF).

    Would appreciate if how to use MongoEMF could be provided in detail

    • Are you running in an OSGi container? If not, you will have to construct the services and stitch things together by hand. The example bundle is designed to run in an OSGi container. Are you using my launch configuration or your own? If you are running in an OSGi container, make sure declarative services (DS) is active.

  3. Thanks for the reply, I have created my own plug-in project with all the dependencies etc setup, but now the code gives a “MongoDB service is unavailable” message at “resource.save() ”

    I have tried to connect to the MongoDB server running on my local machine via regular java code , Mongo m = new Mongo(“localhost”) and it works as expected.

    Please suggest where I am possibly going wrong. Thanks

    • Make sure you have the org.eclipselabs.mongo bundle in your launch configuration and make sure it is active. Using the OSGi console, type ss to see a list of the installed bundles and their state. I had assumed that the IMongoDB service needed declarative services, but after looking at the code, that is not the case. As long as the org.eclispelabs.mongo bundle is active, the service will be available. You can also type services on the OSGi console to see all of the active services.

  4. HI Bryan,
    attaching the stack trace for the error, hope to have it resolved soon-

    osgi> ss

    Framework is launched.

    id State Bundle
    0 ACTIVE org.eclipse.osgi_3.7.0.v20110613
    1 ACTIVE org.eclipse.ant.core_3.2.300.v20110511
    3 ACTIVE org.eclipse.equinox.registry_3.5.100.v20110502
    Fragments=9
    4 ACTIVE org.eclipse.equinox.preferences_3.4.0.v20110502
    5 ACTIVE org.eclipse.equinox.common_3.6.0.v20110523
    6 ACTIVE org.eclipse.emf.ecore.xmi_2.7.0.v20110520-1406
    7 ACTIVE org.eclipse.emf.ecore_2.7.0.v20110605-0747
    8 ACTIVE org.eclipse.core.jobs_3.5.100.v20110404
    9 RESOLVED org.eclipse.core.runtime.compatibility.registry_3.5.0.v20110505
    Master=3
    12 ACTIVE javax.servlet_2.5.0.v201103041518
    13 ACTIVE org.eclipse.equinox.app_1.3.100.v20110321
    14 ACTIVE org.eclipse.core.expressions_3.4.300.v20110228
    15 ACTIVE org.eclipse.core.variables_3.2.500.v20110511
    16 ACTIVE org.eclipse.core.runtime_3.7.0.v20110110
    18 ACTIVE org.eclipse.osgi.services_3.3.0.v20110513
    19 RESOLVED org.eclipse.core.filesystem.macosx_1.3.0.v20110423-0524
    Master=20
    20 ACTIVE org.eclipse.core.filesystem_1.3.100.v20110423-0524
    Fragments=19
    21 ACTIVE org.eclipse.emf.common_2.7.0.v20110605-0747
    22 ACTIVE org.eclipse.core.resources_3.7.100.v20110510-0712
    24 ACTIVE org.eclipse.core.contenttype_3.4.100.v20110423-0524
    25 ACTIVE org.eclipse.core.runtime.compatibility.auth_3.2.200.v20110110
    35 ACTIVE org.eclipselabs.mongo_0.3.2.201105301419
    36 ACTIVE org.eclipselabs.mongo.emf_0.3.2.201105301419
    37 ACTIVE com.mongodb_2.7.3
    38 ACTIVE org.eclipselabs.emf.query_0.3.2.201105301419
    43 ACTIVE org.eclipse.team.core_3.6.0.I20110525-0800
    44 RESOLVED org.eclipselabs.mongo.emf.examples_1.0.0

    osgi> start 44
    Starting Mongo EMF example
    Writing data to MongoDB
    .org.osgi.framework.BundleException: Exception in org.eclipselabs.emf.mongo.examples.Activator.start() of bundle org.eclipselabs.mongo.emf.examples.
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:299)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:291)
    at org.eclipse.osgi.framework.internal.core.FrameworkCommandProvider._start(FrameworkCommandProvider.java:333)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.eclipse.osgi.framework.internal.core.FrameworkCommandInterpreter.execute(FrameworkCommandInterpreter.java:209)
    at org.eclipse.osgi.framework.internal.core.FrameworkConsole.docommand(FrameworkConsole.java:155)
    at org.eclipse.osgi.framework.internal.core.FrameworkConsole.runConsole(FrameworkConsole.java:140)
    at org.eclipse.osgi.framework.internal.core.FrameworkConsole.run(FrameworkConsole.java:104)
    at java.lang.Thread.run(Thread.java:680)
    Caused by: java.io.IOException: MongoDB service is unavailable
    at org.eclipselabs.mongo.emf.MongoDBURIHandlerImpl.getCollection(MongoDBURIHandlerImpl.java:137)
    at org.eclipselabs.mongo.internal.emf.MongoDBOutputStream.close(MongoDBOutputStream.java:66)
    at org.eclipse.emf.ecore.resource.impl.ResourceImpl.save(ResourceImpl.java:996)
    at org.eclipselabs.emf.mongo.examples.Activator.start(Activator.java:68)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
    at java.security.AccessController.doPrivileged(Native Method)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
    … 14 more
    Nested Exception:
    java.io.IOException: MongoDB service is unavailable
    at org.eclipselabs.mongo.emf.MongoDBURIHandlerImpl.getCollection(MongoDBURIHandlerImpl.java:137)
    at org.eclipselabs.mongo.internal.emf.MongoDBOutputStream.close(MongoDBOutputStream.java:66)
    at org.eclipse.emf.ecore.resource.impl.ResourceImpl.save(ResourceImpl.java:996)
    at org.eclipselabs.emf.mongo.examples.Activator.start(Activator.java:68)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
    at java.security.AccessController.doPrivileged(Native Method)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:299)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:291)
    at org.eclipse.osgi.framework.internal.core.FrameworkCommandProvider._start(FrameworkCommandProvider.java:333)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    at java.lang.reflect.Method.invoke(Method.java:597)
    at org.eclipse.osgi.framework.internal.core.FrameworkCommandInterpreter.execute(FrameworkCommandInterpreter.java:209)
    at org.eclipse.osgi.framework.internal.core.FrameworkConsole.docommand(FrameworkConsole.java:155)
    at org.eclipse.osgi.framework.internal.core.FrameworkConsole.runConsole(FrameworkConsole.java:140)
    at org.eclipse.osgi.framework.internal.core.FrameworkConsole.run(FrameworkConsole.java:104)
    at java.lang.Thread.run(Thread.java:680)
    Nested Exception:

    • I see you are using version 0.3.2. That version requires declarative services. You have two options, include org.eclipse.equinox.ds and set auto-start to true, or update to MongoEMF 0.5.0. Newer versions no longer requires declarative services.

  5. Hi,

    running into a diff issue now. I am trying to do bulk save and retrive
    and i get compile error stating “cannot convert from EObject to Result “at

    Result result = resource.getContents().get(0);

    though i have an import org.eclipselabs.emf.query.Result

    Thanks

  6. I have downloaded an example for EMF mongo DB from here. but am not able to launch using the launchers that you have provided as part of your example. Please give me an example for running EMF mongo DB standalone without OSGI.

  7. i get the following error . please help
    osgi> !SESSION 2013-07-25 12:16:31.912 ———————————————–
    eclipse.buildId=unknown
    java.version=1.7.0_10
    java.vendor=Oracle Corporation
    BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
    Command-line arguments: -dev file:D:/ETAS/Visualization_Workspace_Sprint17_Commit/.metadata/.plugins/org.eclipse.pde.core/MongoDB Example/dev.properties -os win32 -ws win32 -arch x86_64 -consoleLog -console

    !ENTRY org.eclipse.core.runtime 4 0 2013-07-25 12:16:32.633
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.osgi; bundle-version=”[3.7.0,4.0.0)"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipselabs.mongo.emf.developer.junit 4 0 2013-07-25 12:16:32.637
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.emf.common.util; version="0.0.0"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipselabs.mongo.emf.ext 4 0 2013-07-25 12:16:32.640
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.emf.common; version="0.0.0"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipselabs.mongo.emf 4 0 2013-07-25 12:16:32.643
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.emf.common; version="0.0.0"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipse.emf.common 4 0 2013-07-25 12:16:32.647
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.runtime; bundle-version="[3.3.0,4.0.0)"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipselabs.mongo.emf.examples 4 0 2013-07-25 12:16:32.650
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Bundle-RequiredExecutionEnvironment: JavaSE-1.7
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipse.emf.ecore 4 0 2013-07-25 12:16:32.654
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.runtime; bundle-version="[3.5.0,4.0.0)"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipselabs.mongo 4 0 2013-07-25 12:16:32.658
    !MESSAGE
    !STACK 0
    org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.emf.common.util; version="0.0.0"
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1313)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1297)
    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:309)
    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:370)
    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1068)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:557)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:464)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:248)
    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:445)
    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:220)
    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:330)

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.663
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipse.core.runtime-3.9.0.v20121004-163638.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.666
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipselabs.mongo.emf.developer.junit_0.7.1.201211071319.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.669
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipselabs.mongo.emf.ext_0.7.1.201211071319.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.672
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipselabs.mongo.emf_0.7.1.201211071319.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.675
    !MESSAGE Bundle initial@reference:file:../plugins/eclipse-emf-common-2.3.0.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.677
    !MESSAGE Bundle initial@reference:file:D:/ETAS/Visualization_Workspace_Sprint17_Commit/org.eclipselabs.mongo.emf.examples/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.680
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipse.emf.ecore-2.8.3.v20130125-0546.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 4 0 2013-07-25 12:16:32.683
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipselabs.mongo_0.7.1.201211071319.jar/ was not resolved.

    !ENTRY org.eclipse.osgi 2 0 2013-07-25 12:16:32.704
    !MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.704
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipselabs.mongo.emf.developer.junit_0.7.1.201211071319.jar/ was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.704
    !MESSAGE Missing imported package org.junit_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.704
    !MESSAGE Missing imported package org.hamcrest_1.3.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.705
    !MESSAGE Missing imported package org.osgi.service.cm_1.3.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.705
    !MESSAGE Missing imported package org.junit.rules_0.0.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.705
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipse.core.runtime-3.9.0.v20121004-163638.jar/ was not resolved.
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.705
    !MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.705
    !MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.3.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.705
    !MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.4.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.705
    !MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.4.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.706
    !MESSAGE Missing required bundle org.eclipse.osgi_[3.7.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.706
    !MESSAGE Missing required bundle org.eclipse.equinox.app_1.0.0.
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.706
    !MESSAGE Missing required bundle org.eclipse.equinox.common_[3.6.100,4.0.0).
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.706
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipselabs.mongo.emf_0.7.1.201211071319.jar/ was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.706
    !MESSAGE Missing imported package org.eclipse.emf.ecore.xmi_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.707
    !MESSAGE Missing imported package org.osgi.util.tracker_1.5.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.707
    !MESSAGE Missing imported package org.eclipse.emf.ecore.xmi.impl_0.0.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.707
    !MESSAGE Bundle initial@reference:file:../plugins/org.eclipse.emf.ecore-2.8.3.v20130125-0546.jar/ was not resolved.
    !SUBENTRY 2 org.eclipse.emf.ecore 2 0 2013-07-25 12:16:32.707
    !MESSAGE Missing required bundle org.eclipse.emf.common_[2.8.0,3.0.0).

    !ENTRY org.eclipse.osgi 2 0 2013-07-25 12:16:32.719
    !MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.719
    !MESSAGE Bundle org.eclipse.core.runtime_3.9.0.v20121004-163638 [3] was not resolved.
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.719
    !MESSAGE Missing required bundle org.eclipse.osgi_[3.7.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.719
    !MESSAGE Missing required bundle org.eclipse.equinox.common_[3.6.100,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.719
    !MESSAGE Missing required bundle org.eclipse.core.jobs_[3.2.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.719
    !MESSAGE Missing required bundle org.eclipse.equinox.registry_[3.4.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.719
    !MESSAGE Missing required bundle org.eclipse.equinox.preferences_[3.4.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.720
    !MESSAGE Missing required bundle org.eclipse.core.contenttype_[3.3.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.720
    !MESSAGE Missing optionally required bundle org.eclipse.core.runtime.compatibility.auth_[3.2.0,4.0.0).
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.720
    !MESSAGE Missing required bundle org.eclipse.equinox.app_1.0.0.
    !SUBENTRY 2 org.eclipse.core.runtime 2 0 2013-07-25 12:16:32.720
    !MESSAGE Missing imported package org.eclipse.core.internal.runtime.auth_0.0.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.720
    !MESSAGE Bundle org.eclipselabs.mongo.emf.developer.junit_0.7.1.201211071319 [4] was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.720
    !MESSAGE Missing imported package org.eclipse.emf.common.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.720
    !MESSAGE Missing imported package org.eclipse.emf.ecore_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.eclipselabs.mongo_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.eclipselabs.mongo.emf_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.eclipselabs.mongo.emf.ext_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.hamcrest_1.3.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.721
    !MESSAGE Missing imported package org.junit_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.722
    !MESSAGE Missing imported package org.junit.rules_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.developer.junit 2 0 2013-07-25 12:16:32.722
    !MESSAGE Missing imported package org.osgi.service.cm_1.3.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.722
    !MESSAGE Bundle org.eclipselabs.mongo.emf.ext_0.7.1.201211071319 [6] was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.722
    !MESSAGE Missing imported package org.eclipse.emf.common_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.722
    !MESSAGE Missing imported package org.eclipse.emf.common.notify_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.722
    !MESSAGE Missing imported package org.eclipse.emf.common.notify.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.common.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.ecore_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.ecore.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.ecore.plugin_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.723
    !MESSAGE Missing imported package org.eclipse.emf.ecore.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.ext 2 0 2013-07-25 12:16:32.724
    !MESSAGE Missing imported package org.eclipselabs.mongo_0.0.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.724
    !MESSAGE Bundle org.eclipselabs.mongo.emf_0.7.1.201211071319 [7] was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.724
    !MESSAGE Missing imported package org.eclipse.emf.common_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.724
    !MESSAGE Missing imported package org.eclipse.emf.common.notify_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.724
    !MESSAGE Missing imported package org.eclipse.emf.common.notify.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.724
    !MESSAGE Missing imported package org.eclipse.emf.common.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.724
    !MESSAGE Missing imported package org.eclipse.emf.ecore_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.plugin_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.xmi_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.725
    !MESSAGE Missing imported package org.eclipse.emf.ecore.xmi.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.726
    !MESSAGE Missing imported package org.eclipselabs.mongo_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.726
    !MESSAGE Missing imported package org.eclipselabs.mongo.emf.ext_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf 2 0 2013-07-25 12:16:32.726
    !MESSAGE Missing imported package org.osgi.util.tracker_1.5.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.726
    !MESSAGE Bundle org.eclipse.emf.common_2.3.0.v200709252135 [8] was not resolved.
    !SUBENTRY 2 org.eclipse.emf.common 2 0 2013-07-25 12:16:32.726
    !MESSAGE Missing required bundle org.eclipse.core.runtime_[3.3.0,4.0.0).
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.726
    !MESSAGE Bundle org.eclipselabs.mongo.emf.examples_0.7.1.qualifier [9] was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.726
    !MESSAGE Missing required bundle org.eclipse.emf.common_2.3.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.727
    !MESSAGE Missing required bundle org.eclipse.core.runtime_3.9.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.727
    !MESSAGE Missing imported package org.eclipse.emf.common.notify_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.727
    !MESSAGE Missing imported package org.eclipse.emf.common.notify.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.727
    !MESSAGE Missing imported package org.eclipse.emf.common.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.727
    !MESSAGE Missing imported package org.eclipse.emf.ecore_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.727
    !MESSAGE Missing imported package org.eclipse.emf.ecore.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipse.emf.ecore.plugin_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipse.emf.ecore.resource.impl_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipse.emf.ecore.util_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipselabs.mongo_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipselabs.mongo.emf_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.728
    !MESSAGE Missing imported package org.eclipselabs.mongo.emf.developer.junit_0.0.0.
    !SUBENTRY 2 org.eclipselabs.mongo.emf.examples 2 0 2013-07-25 12:16:32.729
    !MESSAGE Missing imported package org.eclipselabs.mongo.emf.ext_0.0.0.
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.729
    !MESSAGE Bundle org.eclipse.emf.ecore_2.8.3.v20130125-0546 [10] was not resolved.
    !SUBENTRY 2 org.eclipse.emf.ecore 2 0 2013-07-25 12:16:32.729
    !MESSAGE Missing required bundle org.eclipse.core.runtime_[3.5.0,4.0.0).
    !SUBENTRY 2 org.eclipse.emf.ecore 2 0 2013-07-25 12:16:32.729
    !MESSAGE Missing required bundle org.eclipse.emf.common_[2.8.0,3.0.0).
    !SUBENTRY 2 org.eclipse.emf.ecore 2 0 2013-07-25 12:16:32.729
    !MESSAGE Missing optionally required bundle org.eclipse.core.resources_[3.5.0,4.0.0).
    !SUBENTRY 1 org.eclipse.osgi 2 0 2013-07-25 12:16:32.729
    !MESSAGE Bundle org.eclipselabs.mongo_0.7.1.201211071319 [11] was not resolved.
    !SUBENTRY 2 org.eclipselabs.mongo 2 0 2013-07-25 12:16:32.729
    !MESSAGE Missing imported package org.eclipse.emf.common.util_0.0.0.

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s